Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class TIFFDirectory

    java.lang.Object
      org.monte.media.tiff.TIFFNode
          org.monte.media.tiff.TIFFDirectory

    public class TIFFDirectory

extends TIFFNode

A convenience class for working with TIFF IFD's.

Version:
  1.0 2010-07-25 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class org.monte.media.tiff.TIFFNode
`ifdEntry, tag`

Constructor Summary
`TIFFDirectory(TagSet tagSet, TIFFTag tag, int index)` Creates a TIFFDirectory identified by the specified TIFFTag.
`TIFFDirectory(TagSet tagSet, TIFFTag tag, int index, IFD ifd, IFDEntry parentEntry, java.util.ArrayList<FileSegment> fileSegments)` Creates a TIFFDirectory identified by the specified TIFFTag and associated with the specified IFD and file segments.
`TIFFDirectory(TagSet tagSet, TIFFTag tag, int index, IFD ifd, IFDEntry parentEntry, FileSegment fileSegment)` Creates a TIFFDirectory identified by the specified TIFFTag and associated with the specified IFD and file segments.
`TIFFDirectory(TagSet tagSet, TIFFTag tag, int index, long offset, long length, java.util.ArrayList<FileSegment> fileSegments)`
`TIFFDirectory(TagSet tagSet, TIFFTag tag, int index, long offset, long length, FileSegment fileSegment)`

Method Summary
`int` | `getCount()`
`java.lang.Object` | `getData(TIFFTag tag)` Returns the value of the TIFFField with the specified tag.
`TIFFField` | `getField(TIFFTag tag)` Returns a TIFFField with the specified tag.
`java.util.ArrayList<FileSegment>` | `getFileSegments()` Returns the segments of the TIFF file inside its parent file.
`IFD` | `getIFD()` Returns the IFD from which this directory has been read.
`int` | `getIndex()`
`long` | `getLength()`
`java.lang.String` | `getName()`
`long` | `getOffset()`
`TagSet` | `getTagSet()` Returns the tag set used by this directory.
`java.lang.String` | `toString()`

Methods inherited from class org.monte.media.tiff.TIFFNode
`add, getChildAt, getChildCount, getChildren, getIFDEntry, getParent, getTag, getTagName, getTagNumber, postorderIterator, preorderIterator, removeFromParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TIFFDirectory

    public TIFFDirectory(TagSet tagSet,
                         TIFFTag tag,
                         int index)

  Creates a TIFFDirectory identified by the specified TIFFTag.

### TIFFDirectory

    public TIFFDirectory(TagSet tagSet,
                         TIFFTag tag,
                         int index,
                         IFD ifd,
                         IFDEntry parentEntry,
                         java.util.ArrayList<FileSegment> fileSegments)

  Creates a TIFFDirectory identified by the specified TIFFTag and associated with the specified IFD and file segments.

### TIFFDirectory

    public TIFFDirectory(TagSet tagSet,
                         TIFFTag tag,
                         int index,
                         IFD ifd,
                         IFDEntry parentEntry,
                         FileSegment fileSegment)

  Creates a TIFFDirectory identified by the specified TIFFTag and associated with the specified IFD and file segments.

### TIFFDirectory

    public TIFFDirectory(TagSet tagSet,
                         TIFFTag tag,
                         int index,
                         long offset,
                         long length,
                         FileSegment fileSegment)

### TIFFDirectory

    public TIFFDirectory(TagSet tagSet,
                         TIFFTag tag,
                         int index,
                         long offset,
                         long length,
                         java.util.ArrayList<FileSegment> fileSegments)

Method Detail

### getIFD

    public IFD getIFD()

  Returns the IFD from which this directory has been read.

  Returns:
    IFD or null.

### getTagSet

    public TagSet getTagSet()

  Returns the tag set used by this directory.

### getName

    public java.lang.String getName()

### getIndex

    public int getIndex()

### getCount

    public int getCount()

### getOffset

    public long getOffset()

### getLength

    public long getLength()

### getFileSegments

    public java.util.ArrayList<FileSegment> getFileSegments()

  Returns the segments of the TIFF file inside its parent file. In a JPEG JFIF stream, a TIFF file can be segmented over multiple APP markers.

  Returns:
    segment list or null.

### getField

    public TIFFField getField(TIFFTag tag)

  Returns a TIFFField with the specified tag. If a child node with this tag exists.

  Parameters:
    `tag` -

### getData

    public java.lang.Object getData(TIFFTag tag)

  Returns the value of the TIFFField with the specified tag. If a child node with this tag exists.

  Parameters:
    `tag` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD